> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List master wallet transfers



## OpenAPI

````yaml /api-reference/openapi.json get /v1/master-wallets/{masterId}/transactions
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Development server
security: []
tags: []
paths:
  /v1/master-wallets/{masterId}/transactions:
    get:
      tags:
        - Master Wallets
      summary: List master wallet transfers
      operationId: listMasterWalletTransfers
      parameters:
        - name: masterId
          in: path
          required: true
          schema:
            type: string
        - name: txType
          in: query
          required: false
          schema:
            type: string
            enum:
              - incoming
              - outgoing
            default: to
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            default: 10
        - name: pageKey
          in: query
          required: false
          schema:
            type: string
        - name: order
          in: query
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
      responses:
        '200':
          description: List of transfers
          content:
            application/json:
              schema:
                type: object
                properties:
                  transfer:
                    type: array
                    items:
                      type: object
                      properties:
                        category:
                          type: string
                          enum:
                            - external erc20 erc721 erc1155 internal specialnft
                        blockNum:
                          type: string
                        from:
                          type: string
                        to:
                          type: string
                        value:
                          type: number
                        symbol:
                          type: string
                        id:
                          type: string
                        hash:
                          type: string
                        timestamp:
                          type: string
                        asset:
                          description: Asset information (can be null)
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              description: Asset unique identifier
                              example: 69d851b9-c358-4359-becd-3e614ca1ab4d
                            name:
                              type: string
                              description: Asset name
                              example: Euro Coin
                            symbol:
                              type: string
                              description: Asset symbol
                              example: EURC
                            decimals:
                              type: integer
                              description: Number of decimals
                              example: 6
                            address:
                              type: string
                              nullable: true
                              description: Contract address (null for native assets)
                              example: '0x08210F9170F89Ab7658F0B5E3fF39b0E03C594D4'
                            standard:
                              type: string
                              description: Token standard
                              example: ERC20
                            logoUrl:
                              type: string
                              description: URL to token logo
                              example: https://example.com/eurc-logo.png
                            isActive:
                              type: boolean
                              description: Whether the asset is active
                              example: true
                            network:
                              type: string
                              description: Network type
                              enum:
                                - mainnet
                                - testnet
                              example: mainnet
                            isNative:
                              type: boolean
                              description: >-
                                Whether this is the native asset of the
                                blockchain
                              example: false
                            configurations:
                              type: object
                              nullable: true
                              description: Additional configuration data
                              example: null
                            blockchain:
                              description: Associated blockchain (simplified)
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                name:
                                  type: string
                                slug:
                                  type: string
                                symbol:
                                  type: string
                                isActive:
                                  type: boolean
                                isEvmCompatible:
                                  type: boolean
                                chainId:
                                  type: integer
                                logoUrl:
                                  type: string
                                tokenStandard:
                                  type: string
                                createdAt:
                                  type: string
                                  format: date-time
                                updatedAt:
                                  type: string
                                  format: date-time
                            blockchainId:
                              type: string
                              format: uuid
                              description: Blockchain ID reference
                              example: 8a864e95-4b86-423d-9ba4-f4e692ec121e
                            createdAt:
                              type: string
                              format: date-time
                              description: Creation timestamp
                              example: '2026-02-26T15:10:53.032Z'
                            updatedAt:
                              type: string
                              format: date-time
                              description: Last update timestamp
                              example: '2026-02-26T15:10:53.032Z'
                        rawContract:
                          type: object
                          properties:
                            value:
                              type: string
                            address:
                              type: string
                            decimal:
                              type: string
                  pageInfo:
                    type: object
                    properties:
                      hasMore:
                        type: boolean
                      nextCursor:
                        type: string
                  totalCount:
                    type: integer
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````